package com.huigou.topsun.resource.controller;


import com.huigou.topsun.resource.service.ResourceTypeService;
import com.huigou.topsun.resource.vo.ResourceTypeVo;
import com.huigou.uasp.annotation.ControllerMapping;
import com.huigou.uasp.client.CommonController;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Auther: xin.lu
 * @Date: 2023/10/25/16:34
 * @Description:
 */
//@Tag(name = "资源库")
@Controller
@ControllerMapping("/resource")
public class ResourceController extends CommonController {
    protected String getPagePath() {
        return "/biz/topsun/resource/";
    }
    @Resource
    private ResourceTypeService resourceTypeService;

    public String forwardResourceList(){
        return forward("resourceList");
    }

    //@Operation(summary = "保存资源类型")
    public String saveResourceType(@RequestBody ResourceTypeVo resourceTypeVo){
        resourceTypeService.saveResourceTypeMain(resourceTypeVo);
        return toResult(resourceTypeVo);
    }

    //@Operation(summary = "修改资源类型")
    public String updateResourceType(@RequestBody ResourceTypeVo resourceTypeVo){
        resourceTypeService.updateResourceTypeMain(resourceTypeVo);
        return toResult(resourceTypeVo);
    }

    //@Operation(summary = "根据id删除资源")
    public String deleteResourceType(@RequestParam("id") Long id){
        resourceTypeService.deleteById(id);
        return success();
    }

    //@Operation(summary = "根据id查询资源")
    public String findById(@RequestParam("id") Long id){
        ResourceTypeVo resourceTypeVo = resourceTypeService.findById(id);
        return toResult(resourceTypeVo);
    }

    //@Operation(summary = "查询全部资源")
    public String findList(){
        return toResult(resourceTypeService.findList());
    }

    /*@Operation(summary = "根据表名，递归查询该表及父类字段")
    @GetMapping("/findParentResourceFields")
    public Result<Set<ResourceFiled>> findParentResourceFields(@RequestParam String tableName){
        return Result.ok(resourceTypeService.findParentResourceFileds(tableName));
    }*/

    //@Operation(summary = "新增资源类型时，根据对象的父类表名，返回父类和超类及所属的字段")
    public String findParentResourceTypeAndFields(@RequestParam String tableName){
        return toResult(resourceTypeService.findParentResourceTypeAndFields(tableName));
    }

    //@Operation(summary = "修改/查看资源类型时，根据当前表名，返回自己和父类和超类及所属的字段")
    public String findResourceTypeAndFields(@RequestParam String tableName){
        return toResult(resourceTypeService.findResourceTypeAndFields(tableName));
    }

}
